Bulk create issues, max 50; every target project requires edit or admin access
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/issues/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"issues": [
{
"title": "<string>",
"description": "<string>",
"status": "<string>",
"assigneeId": "<string>",
"assigneeIds": [
"<string>"
],
"projectId": "<string>",
"milestoneId": "<string>",
"teamId": "<string>",
"startDate": "2023-12-25",
"dueDate": "2023-12-25",
"recurrenceInterval": 123,
"recurrenceDays": [],
"labelIds": [
"<string>"
]
}
]
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/issues/bulk"
payload = { "issues": [
{
"title": "<string>",
"description": "<string>",
"status": "<string>",
"assigneeId": "<string>",
"assigneeIds": ["<string>"],
"projectId": "<string>",
"milestoneId": "<string>",
"teamId": "<string>",
"startDate": "2023-12-25",
"dueDate": "2023-12-25",
"recurrenceInterval": 123,
"recurrenceDays": [],
"labelIds": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
issues: [
{
title: '<string>',
description: '<string>',
status: '<string>',
assigneeId: '<string>',
assigneeIds: ['<string>'],
projectId: '<string>',
milestoneId: '<string>',
teamId: '<string>',
startDate: '2023-12-25',
dueDate: '2023-12-25',
recurrenceInterval: 123,
recurrenceDays: [],
labelIds: ['<string>']
}
]
})
};
fetch('https://atollhq.com/api/orgs/{id}/issues/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Issues
Bulk create issues, max 50; every target project requires edit or admin access
POST
/
api
/
orgs
/
{id}
/
issues
/
bulk
Bulk create issues, max 50; every target project requires edit or admin access
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id identifier
Body
application/json
Maximum array length:
50Show child attributes
Show child attributes
Response
Successful response
The response is of type object.

